aboutsummaryrefslogtreecommitdiffstats
path: root/main/openssl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-03-12 15:16:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-03-12 15:16:34 +0000
commita83972c6ef8cc9fa9e47868248d78e48a4e92207 (patch)
tree5189c498e599a0d82dc2a63e5701544cef136817 /main/openssl/APKBUILD
parent6b922a4bc696e67d199adab8cb12bd1065dc0937 (diff)
downloadaports-a83972c6ef8cc9fa9e47868248d78e48a4e92207.tar.gz
aports-a83972c6ef8cc9fa9e47868248d78e48a4e92207.tar.bz2
aports-a83972c6ef8cc9fa9e47868248d78e48a4e92207.tar.xz
main/openssl: upgrade to 0.9.8m
Diffstat (limited to 'main/openssl/APKBUILD')
-rw-r--r--main/openssl/APKBUILD36
1 files changed, 16 insertions, 20 deletions
diff --git a/main/openssl/APKBUILD b/main/openssl/APKBUILD
index fddbf2119d..8efcefea75 100644
--- a/main/openssl/APKBUILD
+++ b/main/openssl/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=openssl
-pkgver=0.9.8l
-pkgrel=1
+pkgver=0.9.8m
+pkgrel=0
pkgdesc="Toolkit for SSL v2/v3 and TLS v1"
url=http://openssl.org
depends=
@@ -13,25 +13,27 @@ subpackages="$pkgname-dev $pkgname-doc libcrypto"
source="http://www.openssl.org/source/${pkgname}-${pkgver}.tar.gz
http://www.linuxfromscratch.org/patches/downloads/openssl/openssl-0.9.8g-fix_manpages-1.patch
openssl-bb-basename.patch
- openssl-0.9.8k-quote-cc.patch
openssl-0.9.8k-padlock-sha.patch
- openssl-0.9.8l-CVE-2009-1377.patch
- openssl-0.9.8l-CVE-2009-1378.patch
- openssl-0.9.8l-CVE-2009-1379.patch
- openssl-0.9.8l-CVE-2009-1387.patch
- openssl-0.9.8l-CVE-2009-2409.patch
"
-
-build() {
- cd "$startdir"/src/$pkgname-$pkgver
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
for i in ../*.patch; do
msg "Applying $i..."
- patch -p1 < $i || return 1
+ patch -p1 -N < $i || return 1
done
+}
+build() {
+ cd "$_builddir"
./config --prefix=/usr --openssldir=/etc/ssl shared enable-montasm
make -j1 || return 1
+}
+
+package() {
+ cd "$_builddir"
make -j1 INSTALL_PREFIX="$pkgdir" MANDIR=/usr/share/man install
}
@@ -46,13 +48,7 @@ libcrypto() {
mv "$pkgdir"/usr/lib/engines "$subpkgdir"/usr/lib/
}
-md5sums="05a0ece1372392a2cf310ebb96333025 openssl-0.9.8l.tar.gz
+md5sums="898bf125370926d5f692a2201124f8ec openssl-0.9.8m.tar.gz
04a6a88c2ee4badd4f8649792b73eaf3 openssl-0.9.8g-fix_manpages-1.patch
c6a9857a5dbd30cead0404aa7dd73977 openssl-bb-basename.patch
-c838eb8488896cfeb7de957a0cbe04ae openssl-0.9.8k-quote-cc.patch
-86b7f1bf50e1f3ba407ec62001a51a0d openssl-0.9.8k-padlock-sha.patch
-36694a8dd1c7164f1021f6f24ef20ab9 openssl-0.9.8l-CVE-2009-1377.patch
-80b8c77288a6fde633f8ac3a33e21d31 openssl-0.9.8l-CVE-2009-1378.patch
-da60b14279e076a19e783f07d8a60d24 openssl-0.9.8l-CVE-2009-1379.patch
-926b151cb1e32dc6e9b1c9a25f218a31 openssl-0.9.8l-CVE-2009-1387.patch
-595f5bda14198b3aa83a854b1d4fcfb0 openssl-0.9.8l-CVE-2009-2409.patch"
+86b7f1bf50e1f3ba407ec62001a51a0d openssl-0.9.8k-padlock-sha.patch"